Subject: [PATCH] Add new custom option `TeX-fold-region-functions'
From: Paul Nelson <[email-masked]>
To: [email-masked]
Date: Thu, 11 Apr 2024 07:45:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

This patch adds a hook TeX-fold-region-functions, called at the end of
TeX-fold-region.

The motivation is that this can be used to fold miscellaneous tex
stuff.  For example, in https://github.com/ultronozm/czm-tex-fold.el,
I have used similar functionality, implemented via :after advice, to
fold quotes, dashes, and \verb|...| constructs.  The new variable
would allow me to excise the advice.

Thanks, best,

Paul